#### D.2.12.22 hasTransExtensionCoefficient

Procedure from library `ring.lib` (see ring_lib).

Usage:
  hasTransExtensionCoefficient ( rng );

Return:
  1 if the coefficients are rational functions, 0 otherwise.

Example:

    LIB "ring.lib";
    ring rng = integer,x,dp;
    hasTransExtensionCoefficient(rng); //no
    ==> 0
    ring rng2 = (0,a), x, dp;
    hasTransExtensionCoefficient(rng2);  // yes
    ==> 1
    ring rng3=(49,a),x,dp;
    hasTransExtensionCoefficient(rng3);  // no
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.